package org.jeecg.modules.duan.java.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@TableName("comment_list")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="音乐评论排行榜对象", description="流行音乐分析")
public class Ranking {
    private static final long serialVersionUID = 1L;
    /**主键*/
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String name;

    @ApiModelProperty(value = "歌手")
    private String singer;

    @ApiModelProperty(value = "评论数")
    private Integer comment;

    public Ranking(String name, String singer, Integer comment) {
        this.name = name;
        this.singer = singer;
        this.comment = comment;
    }

    public Integer getComment() {
        return this.comment;
    }

    public String getName() {
        return this.name;
    }

    public String getSinger() {
        return this.singer;
    }

    public Ranking() {
    }
}
